<?php
	require "acesso.php";

	$res = array();
	$id_firma    = $_POST['id_firma'];
	$id_device   = $_POST['id_device'];
	$pedido      = substr($_POST['pedido'], 0, 6);
	$controle    = substr($_POST['pedido'], -2);

	if (isset($_POST['qtd_separado'])) {
		$qtd_separado = $_POST['qtd_separado'];
		$produto = $_POST['produto'];
		$ret = $con->prepare("UPDATE mobile_pedidos_itens SET separado = 1, qtd_separado = $qtd_separado WHERE codigo_pedi = '$pedido' AND arcontro = '/$controle' AND codigo_prod = '$produto'");
		$ret->execute();
		$mensagem = $ret->errorInfo();
		if ($mensagem[0] == "00000") {
			$res["sucesso"] = 1;
		} else {
			$res['sucesso'] = 0;
			$res['mensagem'] = $mensagem[2];
		}
	} else {
		$ret = $con->prepare("SELECT m.codigo_pedi, m.arcontro, m.codigo_prod, e.ardesnot, e.arrefere, e.arcodbar, e.arcdbar2, m.qtd_emb, m.qtd_uni, m.qtd_separado, m.data_emis
			FROM mobile_pedidos_itens m
			LEFT JOIN estoque e ON e.arcodigo = m.codigo_prod
			WHERE codigo_pedi = '$pedido' AND m.arcontro = '/$controle' AND m.sr_deleted != 'T' ORDER BY ardesnot");
		$ret->execute();
		$mensagem = $ret->errorInfo();
		if($ret->rowCount() > 0) {
			$res["pedido_itens"] = array();
			while ($row = $ret->fetch(PDO::FETCH_ASSOC)) {
				array_push($res["pedido_itens"], $row);
			}
			$res["sucesso"] = 1; 
		} else {
			$res['sucesso'] = 0;
			$res['mensagem'] = $mensagem[2];
		}
	}

	
	echo json_encode($res);
	$con = null;
?>